% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/zz_package.R
\docType{package}
\name{cSEM-package}
\alias{cSEM}
\alias{cSEM-package}
\title{cSEM: A package for composite-based structural equation modeling}
\description{
Estimate, analyze, test, and study linear, nonlinear, hierarchical and
multigroup structural equation models using composite-based approaches and procedures including estimation
techniques such as partial least squares path modeling (PLS) and its derivatives
(PLSc, ordPLSc, robustPLSc), generalized structured component analysis (GSCA),
generalized structured component analysis with uniqueness terms (GSCAm),
generalized canonical correlation analysis (GCCA) unit weights (sum score) and
fixed weights, as well as several tests and typical postestimation
procedures (e.g., assess the model fit, compute direct, indirect and total effects).
}
\seealso{
Useful links:
\itemize{
  \item \url{https://github.com/M-E-Rademaker/cSEM/}
  \item \url{https://m-e-rademaker.github.io/cSEM/}
  \item Report bugs at \url{https://github.com/M-E-Rademaker/cSEM/issues/}
}

}
\author{
\strong{Maintainer}: Florian Schuberth \email{f.schuberth@utwente.nl} (\href{https://orcid.org/0000-0002-2110-9086}{ORCID})

Authors:
\itemize{
  \item Manuel E. Rademaker \email{manuel-rademaker@outlook.de} (\href{https://orcid.org/0000-0002-8902-3561}{ORCID})
}

Other contributors:
\itemize{
  \item Tamara Schamberger \email{tamara.schamberger@uni-wuerzburg.de} (\href{https://orcid.org/0000-0002-7845-784X}{ORCID}) [contributor]
  \item Michael Klesel (\href{https://orcid.org/0000-0002-2884-1819}{ORCID}) [contributor]
  \item Theo K. Dijkstra [contributor]
  \item Jörg Henseler (\href{https://orcid.org/0000-0002-9736-3048}{ORCID}) [contributor]
}

}
\keyword{internal}
